{"swagger":"3.0","info":{"description":"The purpose of this document is to provide technical details about Aan Adventures' API's. This document outlines the business processes supported by the API and details about specifications of API's. It assumes that reader has a technical background and is familiar with JSON API's.<h2>Connection</h2><p>The communication with the system is performed through https connections. The following table enlists the properties of the request that must be employed:</p><table><thead><tr><th>Request</th><th>Value</th><th>Description</th></tr></thead><tbody><tr><td>Request Method</td><td>POST / GET</td><td>The requested method.</td></tr><tr><td>Content-Type</td><td>application/json</td><td>The content type.</td></tr></tbody></table><h2>Sandbox/Live Process</h2><p>Please note that all transactions through the sandbox system are simply test transactions.</p><p>Please be advised few activities are available in Sandbox Environment. Please do not compare the products with Live Environment. The system functionality between the Sandbox and Live system is exactly the same except for the fact that Bookings processed in the Sandbox environment are not sent to the Suppliers. When you have completed your development, contact your Account Manager for activation of IP address(s) whitelisting</p><h2>Client Requirements</h2><ul><li>Client requests must be issued from a public, static IP address registered with System.</li><li>Client requests must be made via an HTTPS POST request.</li><li>SSL</li><li>All data sent and received via the interface will be encoded in UTF-8.</li></ul><h2>Development Phase</h2><p>Once you receive your Access token, you can start the development of your application/framework. The whole process of communication consists of simple JSON messages exchange (request /response) between your application/framework and system. Each request needs to be posted (through POST/GET method) using https protocols. For details regarding requests and answers formats please consult the dedicated area of each request. For further assistance in development process do not hesitate to contact our support team.</p><h2>Status & Error Codes</h2><table><thead><tr><th>No</th><th>Status Code</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>200</td><td>OK</td></tr><tr><td>2</td><td>400</td><td>Bad Request</td></tr><tr><td>3</td><td>401</td><td>Unauthorized</td></tr><tr><td>4</td><td>403</td><td>Forbidden</td></tr><tr><td>5</td><td>404</td><td>Not Found</td></tr><tr><td>6</td><td>500</td><td>Internal Server Error</td></tr><tr><td>7</td><td>503</td><td>Service Unavailable</td></tr></tbody></table><h2>Transfer Types</h2><table><thead><tr><th>No.</th><th>Transfer Name</th><th>Transfer ID</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>Without Transfer</td><td>41865</td><td>Skip the transfer and travel to the selected attraction or destination on your own</td></tr><tr><td>2</td><td>Sharing Transfer</td><td>41843</td><td>When you request for this transfer, you’ll share the ride with other guests who travel on the same route</td></tr><tr><td>3</td><td>Private Transfer</td><td>41844</td><td>This non-shared, personalized transfer is reserved exclusively for you and your travel companions</td></tr><tr><td>4</td><td>Private Boat Without Transfers</td><td>43129</td><td>Privatly organized tour withour transfer</td></tr><tr><td>5</td><td>Pvt Yach Without Transfer</td><td>43110</td><td>Privatly organized tour withour transfer</td></tr></tbody></table><table><h2>Date Format</h2><p>yyyy-MM-dd</p><h2>Note</h2><p>It is recommended that at least all booking and cancellation transactions sent through the Test / Live environment should be logged and maintained by the agent for at least 6 months.</p><p>&nbsp;</p>","version":"12.0.0","title":"Aan Adventures"},"host":"aantourism.com/api","basePath":"/v12","tags":[{"name":"countries"},{"name":"activities"},{"name":"bookings"}],"schemes":["https"],"paths":{"/countries":{"get":{"tags":["countries"],"summary":"Countries List","description":"Get a list of all countries. Country Id is required to be passed as a parameter in passenger details for booking.","operationId":"countriesList","consumes":["application/json"],"produces":["application/json"],"responses":{"200":{"description":"Successful Operation","schema":{"$ref":"#/definitions/CountriesResponse"}}},"security":[{"bearerAuth":[]}]}},"/activitytypes":{"get":{"tags":["activities"],"summary":"Activity Types List","description":"A list of all available activity types","operationId":"activityTypesList","consumes":["application/json"],"produces":["application/json"],"responses":{"200":{"description":"Successful Operation","schema":{"$ref":"#/definitions/ActivityTypesResponse"}}},"security":[{"bearerAuth":[]}]}},"/activities":{"get":{"tags":["activities"],"summary":"Activities List","description":"A list of all available activities","operationId":"activitiesList","consumes":["application/json"],"produces":["application/json"],"responses":{"200":{"description":"Successful Operation","schema":{"$ref":"#/definitions/ActivitiesResponse"}}},"security":[{"bearerAuth":[]}]}},"/activities/{tourId}":{"get":{"tags":["activities"],"summary":"Activity Details","description":"Details of an activity","operationId":"activityDetailsList","consumes":["application/json"],"produces":["application/json"],"responses":{"200":{"description":"Successful Operation","schema":{"$ref":"#/definitions/ActivityResponse"}}},"security":[{"bearerAuth":[]}]}},"/activities/{tourId}/options":{"get":{"tags":["activities"],"summary":"Options","description":"Options available for an activity","operationId":"activityOptionsList","consumes":["application/json"],"produces":["application/json"],"responses":{"200":{"description":"Successful Operation","schema":{"$ref":"#/definitions/ActivityOptionsResponse"}}},"security":[{"bearerAuth":[]}]}},"/activities/{tourId}/options/{tourOptionId}":{"get":{"tags":["activities"],"summary":"Option Details","description":"Details of an activity option","operationId":"activityOptionDetailsList","consumes":["application/json"],"produces":["application/json"],"responses":{"200":{"description":"Successful Operation","schema":{"$ref":"#/definitions/ActivityOptionDetailResponse"}}},"security":[{"bearerAuth":[]}]}},"/activities/{tourId}/options/{tourOptionId}/transfers":{"get":{"tags":["activities"],"summary":"Transfers","description":"Details of an activity option transfers","operationId":"activityOptionTransfersList","consumes":["application/json"],"produces":["application/json"],"responses":{"200":{"description":"Successful Operation","schema":{"$ref":"#/definitions/ActivityOptionTransfersResponse"}}},"security":[{"bearerAuth":[]}]}},"/activities/{tourId}/options/{tourOptionId}/transfers/{transferId}":{"get":{"tags":["activities"],"summary":"Transfer Details","description":"Details of an activity option transfer","operationId":"activityOptionTransferDetailList","consumes":["application/json"],"produces":["application/json"],"responses":{"200":{"description":"Successful Operation","schema":{"$ref":"#/definitions/ActivityOptionTransferDetailsResponse"}}},"security":[{"bearerAuth":[]}]}},"/activities/time-slots":{"post":{"tags":["activities"],"summary":"Activity Time Slots","description":"Activity time slots of a tour for a certain date, option and transfer","operationId":"activityTimeSlots","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"","required":true,"schema":{"$ref":"#/definitions/PostTourTimeSlots"}}],"responses":{"200":{"description":"Successful Operation","schema":{"$ref":"#/definitions/TimeSlots"}}},"security":[{"bearerAuth":[]}]}},"/activities/prices":{"post":{"tags":["activities"],"summary":"Activity Prices","description":"Activity prices of a tour for a certain date, passengaers, option and transfer","operationId":"activityPrices","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"","required":true,"schema":{"$ref":"#/definitions/PostTourPrice"}}],"responses":{"200":{"description":"Successful Operation","schema":{"$ref":"#/definitions/Prices"}}},"security":[{"bearerAuth":[]}]}},"/activities/availability":{"post":{"tags":["activities"],"summary":"Activity Availability","description":"Check for availability of a tour for a certain option and transfer","operationId":"activityAvailability","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"","required":true,"schema":{"$ref":"#/definitions/PostTourAvailability"}}],"responses":{"200":{"description":"Successful Operation","schema":{"$ref":"#/definitions/TourAvailability"}}},"security":[{"bearerAuth":[]}]}},"/activities/bookings":{"get":{"tags":["bookings"],"summary":"Bookings List","description":"List of all bookings","operationId":"allBookings","consumes":["application/json"],"produces":["application/json"],"responses":{"200":{"description":"Successful Operation","schema":{"$ref":"#/definitions/AllBookings"}}},"security":[{"bearerAuth":[]}]},"post":{"tags":["bookings"],"summary":"Activity Booking","description":"Boook an activity","operationId":"activityBooking","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"","required":true,"schema":{"$ref":"#/definitions/PostTourBooking"}}],"responses":{"200":{"description":"Successful Operation","schema":{"$ref":"#/definitions/TourBooking"}}},"security":[{"bearerAuth":[]}]}},"/activities/bookings/{order_number}":{"get":{"tags":["bookings"],"summary":"Booking Details","description":"Details of booking","operationId":"bookingDetail","consumes":["application/json"],"produces":["application/json"],"responses":{"200":{"description":"Successful Operation","schema":{"$ref":"#/definitions/BookingDetails"}}},"security":[{"bearerAuth":[]}]}},"/activities/bookings/cancel":{"post":{"tags":["bookings"],"summary":"Booking Cancellation","description":"Cancel an existing booking","operationId":"bookingCancel","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"","required":true,"schema":{"$ref":"#/definitions/PostBookingCancellation"}}],"responses":{"200":{"description":"Successful Operation","schema":{"$ref":"#/definitions/BookingCancellation"}}},"security":[{"bearerAuth":[]}]}}},"securityDefinitions":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"definitions":{"CountriesResponse":{"type":"object","properties":{"status":{"type":"integer","format":"int32","description":"Request Status","example":200},"error":{"type":"boolean","description":"Request have errors","example":"false"},"messages":{"type":"string","description":"Any error messages returned by the request","example":""},"data":{"type":"object","description":"Data object returned by the request","properties":{"count":{"type":"integer","format":"int32","description":"Count of objects returned","example":1},"countries":{"type":"object","description":"Countries Object","properties":{"country_id":{"type":"integer","format":"int32","description":"Country Id","example":"231"},"shortname":{"type":"string","description":"2-Letters short name of country","example":"AE"},"name":{"type":"string","description":"Full name of country","example":"United Arab Emirates"}}}}}}},"ActivityTypesResponse":{"type":"object","properties":{"status":{"type":"integer","format":"int32","description":"Request Status","example":200},"error":{"type":"boolean","description":"Request have errors","example":"false"},"messages":{"type":"string","description":"Any error messages returned by the request","example":""},"data":{"type":"object","description":"Data object returned by the request","properties":{"count":{"type":"integer","format":"int32","description":"Count of objects returned","example":39},"tourTypes":{"type":"object","description":"Activity Type Object","properties":{"cityTourType":{"type":"integer","format":"atring","description":"Activity Name","example":"Abu Dhabi Transfers"},"cityTourTypeSlug":{"type":"string","description":"Activity Slug","example":"abu-dhabi-transfers"}}}}}}},"ActivitiesResponse":{"type":"object","properties":{"status":{"type":"integer","format":"int32","description":"Request Status","example":200},"error":{"type":"boolean","description":"Request have errors","example":"false"},"messages":{"type":"string","description":"Any error messages returned by the request","example":""},"data":{"type":"object","description":"Data object returned by the request","properties":{"count":{"type":"integer","format":"int32","description":"Count of objects returned","example":1},"activities":{"type":"object","description":"Activities Object","properties":{"tourId":{"type":"integer","format":"int32","description":"Tour Id","example":"65"},"tourName":{"type":"string","description":"Tour Name","example":"Dubai Dolphinarium"},"slug":{"type":"string","description":"Tour Slug","example":"dubai-dolphinarium"},"countryName":{"type":"string","description":"Country of Tour","example":"UAE"},"cityName":{"type":"string","description":"City of Tour","example":"Dubai"},"duration":{"type":"string","description":"Tour Duration","example":"Subject to ticket selection"},"departurePoint":{"type":"string","description":"Departure details for the tour","example":"Approx 10.00 AM –7:30 PM (Closed on Tuesday)"},"startTime":{"type":"string","description":"Start time for the tour","example":"10:00:00"},"reportingTime":{"type":"string","description":"Tour reporting time","example":"Hotel Lobby"},"tourLanguage":{"type":"string","description":"Available language for tour","example":"English"},"cityTourType":{"type":"string","description":"Tour Category","example":"Theme Parks"},"categorySlug":{"type":"string","description":"Tour Category Slug","example":"theme-parks"},"tourShortDescription":{"type":"string","description":"Short description of tour","example":"Dolphins are amazing creatures. they are very smart and have many different skills and abilities."},"tourDescription":{"type":"string","description":"Long description of tour","example":"Dolphins are amazing creatures. they are very smart and have many different skills and abilities. many people love watching them in the wild, but you also get to see them in the dubai dolphinarium. this is the only dolphinarium in dubai where you can get to meet these wonderful creatures. they are very fun to watch. you get to meet them face to face, and they will make you feel happy. you can also learn about their lives and see how they move and act in different situations. our experts and trainers will show you how they eat, sleep, play and communicate. you can see them doing all of these things in our dolphinarium in dubai. it's easy to see why this place is so popular. this place has something special that makes it unique. the dubai dolphinarium is one of the best places to visit if you are looking for a fun way to spend your time. there are many things to do in the dubai dolphinarium. there are lots of things to do in the dubai dolphinarium."},"tourInclusion":{"type":"string","description":"What is included in the tour","example":"<ul><li>Transfer from hotels (if transfer option selected)</li><li>Entrance ticket to dolphin live show (as per the option selected)</li><li>Access to up-to-date marine mammal facility</li></ul>"},"whatsInThisTour":{"type":"string","description":"What is included in the tour","example":"<ul><li>This winter, make an exotic journey to dubai dolphinarium where you can come face-to-face with dazzling birds from all over the world.</li><li>Enjoy a cool and refreshing encounter with some exotic birds.</li><li>It's a part of dubai dolphinarium which is highly popular for its exciting dolphin and seal show.</li><li>Take in the amazing tricks of the astonishingly talented birds as you watch the middle east's first and only interactive exotic bird show.</li><li>This unusual place is home to 20 different species of amazing avians such as amazon parrots, electus parrots, macaws (green-winged), falcons, hornbills, and toucans - just to name a few.</li><li>Be sure not to miss this opportunity for unparalleled pictures with some really imposingly mighty birds like stellar's sea eagle and harris hawks!</li></ul>"},"importantInformation":{"type":"string","description":"Important information regarding the tour","example":"Venue address - dubai dolphinarium, inside the creek park gate 1, umm hurair 2 - dubai.</li><li>Operating hours - 10:00 am to 7:00 pm (wednesday - monday) / closed - tuesday.</li><li>Shared transfers are only provided from located hotels and residences in dubai city (deira, bur dubai, sheikh zayed, marina).</li><li>Please arrive at the venue 30 minutes before the session commences.</li><li>The timings for transfers may vary, depending on traffic conditions and your location.</li><li>All entrants must pay aed 5 to enter creek park with an nol card; tourists, without an nol card, can purchase this card at creek park gate 1 amounting to aed 25 which has an initial balance of 19aed credit.</li><li>Monday through saturday 11 am - 12 pm we'll start filling up free seats first come first serve.</li><li>Arriving early will guarantee you good seats.</li><li>Child age is 2-12 years old and under 2 is free.</li><li>For water activities, children need to be 8 years old or older and can swim confidently.</li></ul>"},"itenararyDescription":{"type":"string","description":"Tour itenarary","example":"<ul><li>Meet the most intelligent mammals, known for their friendly nature and absolute example of humanity.</li><li>These lovely dolphins enjoy grabbing the attraction of people around and astonish everyone watching them by playing various tricks.</li><li>With our dubai dolphinarium tickets, you can watch these beautiful and attractive creatures performing many fascinating moves.</li><li>This 45 minutes show is a lifetime experience and will leave you contented for the rest of the day.</li></ul>"},"usefulInformation":{"type":"string","description":"Useful information about the tour","example":"<ul><li>All transfers are based on availability and you can book them according to the itinerary pickup times may vary depending on traffic conditions and your geographical location.</li><li>Inclusions like those mentioned below might close on weekends or during particular days as per government regulations; we do not have control over this.</li><li>Actual transfer timings may also differ by up to 30-60 minutes from those listed on our website.</li><li>Clothes that are appropriate for the summer season are applicable all year round, however, sweaters might be required during winter months due to cold weather.</li><li>We recommend carrying sunglasses, hats, sunscreen lotion, etc when traveling. on-demand private transport option is available for all tours offered by us.</li><li>When booking with us it is solely your responsibility -we will not take care of any personal belongings such as cameras, etc left behind in our vehicles or travel destinations.</li><li>The changes made appear only in bold text.</li><li>Tour policies: on muslim occasions and uae national holidays, alcohol will not be served during the tour, and there will be no live entertainment.</li><li>It is important to read the brochure/itinerary, terms, and conditions, price grid, etc., before making any bookings as they are all subject to change with notice at any time.</li><li>Photography of women in particular is strictly prohibited in some places (if it is necessary for the itinerary to include photos of women).</li><li>In general littering on public land can result in financial repercussions - including fines - depending on local law.</li><li>Smoking anywhere outside designated smoking areas within public spaces (including nightclubs) is forbidden under uae law.</li><li>If a certain type of tourism or visit requires an original passport or emirati identification card then this has been noted at the beginning of that section</li><li>Guests need to make sure they take these items along with them when traveling outside dubai international airport because otherwise, they may lose their opportunity for that specific activity entirely.</li><li>Due to any unforeseeable events, such as traffic or car trouble, if the tour gets delayed or canceled we will provide alternate transportation options wherever possible.</li><li>if a client arrives late and misses their scheduled departure from the pick-up location then they forfeit their spot on the tour and do not receive a refund.</li></ul>"},"termsAndConditions":{"type":"string","description":"Terms & Conditions about the tour","example":"<ul><li>we reserve the complete right to reschedule an itinerary or route, adjust pricing, or even cancel a tour whenever, at our sole discretion, mainly if we deem it is vital for your safety or convenience.</li></ul><ul><li>unused inclusion in a tour package is non-refundable.</li></ul><ul><li>any guest failing to reach on time at the designated pick-up point will be considered a no-show. no reimbursement or alternative transfer will be arranged in such circumstances.</li></ul><ul><li>should a tour booking be cancelled or altered for reasons of bad weather, vehicle issue or traffic problems, we will make all sincere efforts to arrange alternative service with similar options, however, based on its availability. </li></ul><ul><li>the arrangement of seating will depend on its availability and will be done by our driver or tour guides.</li></ul><ul><li>pick-up and drop-off timings listed on the website are approximate, and they will be adjusted as per your location as well as traffic conditions. </li></ul><ul><li>coupon codes can be redeemed only through online booking process.</li></ul><ul><li>we reserve the right to charge 100% no show charges if guests do not turn up on time for the pick-up.</li></ul><ul><li>in any case the guest does not show up on time and our vehicle departs from the pickup location, then we will not arrange for alternative transfer &amp; no refund is provided for the missed tour.</li></ul><ul><li>seating arrangement is done as per the availability &amp; it is decided by the driver or tour guide except in case of private transfers.</li></ul>"},"cancellationPolicyName":{"type":"string","description":"Cancellation Policy","example":"Free cancellation 24 hours prior"},"cancellationPolicyDescription":{"type":"string","description":"Cancellation Policy Description","example":"<ul><li>for all cancellations made 24 hours prior to the tour departure time no charges will be applicable.&nbsp;</li><li>if cancellation made within 24 hours of your tour departure time 100% charges will be applicable.</li><li>if eligible for a refund your amount will be returned back to you within 7 working days.</li></ul><ul></ul>"},"childCancellationPolicyName":{"type":"string","description":"Cancellation Policy - Children","example":"Child Policy (Below 2 years)"},"childCancellationPolicyDescription":{"type":"string","description":"Cancellation Policy - Children Description","example":"Children under 18 years will be considered as child and not eligible to book this product</div><div>children above 18 years will be considered as an adult and eligible to book this product.)"},"isSlot":{"type":"boolean","description":"If isSlot is true, you will get multiple time slots list for the tour","example":"true"},"tourImage":{"type":"string","description":"Image URL of the tour","example":"https://aantourism.com/assets/uploads/media/Tour Images/dubai-dolphinarium-min.jpg"},"currency":{"type":"string","description":"Crrency","example":"PKR"},"price":{"type":"number","format":"double","description":"Tour Price (from price)","example":"2500.50"}}}}}}},"ActivityResponse":{"type":"object","properties":{"status":{"type":"integer","format":"int32","description":"Request Status","example":200},"error":{"type":"boolean","description":"Request have errors","example":"false"},"messages":{"type":"string","description":"Any error messages returned by the request","example":""},"data":{"type":"object","description":"Data object returned by the request","properties":{"activity":{"type":"object","description":"Activity Object","properties":{"tourId":{"type":"integer","format":"int32","description":"Tour Id","example":"65"},"tourName":{"type":"string","description":"Tour Name","example":"Dubai Dolphinarium"},"cityName":{"type":"string","description":"City of Tour","example":"Dubai"},"countryName":{"type":"string","description":"Country of Tour","example":"UAE"},"duration":{"type":"string","description":"Tour Duration","example":"Subject to ticket selection"},"departurePoint":{"type":"string","description":"Departure details for the tour","example":"Approx 10.00 AM –7:30 PM (Closed on Tuesday)"},"startTime":{"type":"string","description":"Tour start time","example":"10:00:00"},"reportingTime":{"type":"string","description":"Tour reporting time","example":"Hotel Lobby"},"tourLanguage":{"type":"string","description":"Available language for tour","example":"English"},"cityTourType":{"type":"string","description":"Tour Category","example":"Theme Parks"},"categorySlug":{"type":"string","description":"Tour Category Slug","example":"theme-parks"},"tourShortDescription":{"type":"string","description":"Short description of tour","example":"Dolphins are amazing creatures. they are very smart and have many different skills and abilities."},"tourDescription":{"type":"string","description":"Long description of tour","example":"Dolphins are amazing creatures. they are very smart and have many different skills and abilities. many people love watching them in the wild, but you also get to see them in the dubai dolphinarium. this is the only dolphinarium in dubai where you can get to meet these wonderful creatures. they are very fun to watch. you get to meet them face to face, and they will make you feel happy. you can also learn about their lives and see how they move and act in different situations. our experts and trainers will show you how they eat, sleep, play and communicate. you can see them doing all of these things in our dolphinarium in dubai. it's easy to see why this place is so popular. this place has something special that makes it unique. the dubai dolphinarium is one of the best places to visit if you are looking for a fun way to spend your time. there are many things to do in the dubai dolphinarium. there are lots of things to do in the dubai dolphinarium."},"tourInclusion":{"type":"string","description":"What is included in the tour","example":"<ul><li>Transfer from hotels (if transfer option selected)</li><li>Entrance ticket to dolphin live show (as per the option selected)</li><li>Access to up-to-date marine mammal facility</li></ul>"},"whatsInThisTour":{"type":"string","description":"What is included in the tour","example":"<ul><li>This winter, make an exotic journey to dubai dolphinarium where you can come face-to-face with dazzling birds from all over the world.</li><li>Enjoy a cool and refreshing encounter with some exotic birds.</li><li>It's a part of dubai dolphinarium which is highly popular for its exciting dolphin and seal show.</li><li>Take in the amazing tricks of the astonishingly talented birds as you watch the middle east's first and only interactive exotic bird show.</li><li>This unusual place is home to 20 different species of amazing avians such as amazon parrots, electus parrots, macaws (green-winged), falcons, hornbills, and toucans - just to name a few.</li><li>Be sure not to miss this opportunity for unparalleled pictures with some really imposingly mighty birds like stellar's sea eagle and harris hawks!</li></ul>"},"importantInformation":{"type":"string","description":"Important information regarding the tour","example":"Venue address - dubai dolphinarium, inside the creek park gate 1, umm hurair 2 - dubai.</li><li>Operating hours - 10:00 am to 7:00 pm (wednesday - monday) / closed - tuesday.</li><li>Shared transfers are only provided from located hotels and residences in dubai city (deira, bur dubai, sheikh zayed, marina).</li><li>Please arrive at the venue 30 minutes before the session commences.</li><li>The timings for transfers may vary, depending on traffic conditions and your location.</li><li>All entrants must pay aed 5 to enter creek park with an nol card; tourists, without an nol card, can purchase this card at creek park gate 1 amounting to aed 25 which has an initial balance of 19aed credit.</li><li>Monday through saturday 11 am - 12 pm we'll start filling up free seats first come first serve.</li><li>Arriving early will guarantee you good seats.</li><li>Child age is 2-12 years old and under 2 is free.</li><li>For water activities, children need to be 8 years old or older and can swim confidently.</li></ul>"},"itenararyDescription":{"type":"string","description":"Tour itenarary","example":"<ul><li>Meet the most intelligent mammals, known for their friendly nature and absolute example of humanity.</li><li>These lovely dolphins enjoy grabbing the attraction of people around and astonish everyone watching them by playing various tricks.</li><li>With our dubai dolphinarium tickets, you can watch these beautiful and attractive creatures performing many fascinating moves.</li><li>This 45 minutes show is a lifetime experience and will leave you contented for the rest of the day.</li></ul>"},"usefulInformation":{"type":"string","description":"Useful information about the tour","example":"<ul><li>All transfers are based on availability and you can book them according to the itinerary pickup times may vary depending on traffic conditions and your geographical location.</li><li>Inclusions like those mentioned below might close on weekends or during particular days as per government regulations; we do not have control over this.</li><li>Actual transfer timings may also differ by up to 30-60 minutes from those listed on our website.</li><li>Clothes that are appropriate for the summer season are applicable all year round, however, sweaters might be required during winter months due to cold weather.</li><li>We recommend carrying sunglasses, hats, sunscreen lotion, etc when traveling. on-demand private transport option is available for all tours offered by us.</li><li>When booking with us it is solely your responsibility -we will not take care of any personal belongings such as cameras, etc left behind in our vehicles or travel destinations.</li><li>The changes made appear only in bold text.</li><li>Tour policies: on muslim occasions and uae national holidays, alcohol will not be served during the tour, and there will be no live entertainment.</li><li>It is important to read the brochure/itinerary, terms, and conditions, price grid, etc., before making any bookings as they are all subject to change with notice at any time.</li><li>Photography of women in particular is strictly prohibited in some places (if it is necessary for the itinerary to include photos of women).</li><li>In general littering on public land can result in financial repercussions - including fines - depending on local law.</li><li>Smoking anywhere outside designated smoking areas within public spaces (including nightclubs) is forbidden under uae law.</li><li>If a certain type of tourism or visit requires an original passport or emirati identification card then this has been noted at the beginning of that section</li><li>Guests need to make sure they take these items along with them when traveling outside dubai international airport because otherwise, they may lose their opportunity for that specific activity entirely.</li><li>Due to any unforeseeable events, such as traffic or car trouble, if the tour gets delayed or canceled we will provide alternate transportation options wherever possible.</li><li>if a client arrives late and misses their scheduled departure from the pick-up location then they forfeit their spot on the tour and do not receive a refund.</li></ul>"},"termsAndConditions":{"type":"string","description":"Terms & Conditions about the tour","example":"<ul><li>we reserve the complete right to reschedule an itinerary or route, adjust pricing, or even cancel a tour whenever, at our sole discretion, mainly if we deem it is vital for your safety or convenience.</li></ul><ul><li>unused inclusion in a tour package is non-refundable.</li></ul><ul><li>any guest failing to reach on time at the designated pick-up point will be considered a no-show. no reimbursement or alternative transfer will be arranged in such circumstances.</li></ul><ul><li>should a tour booking be cancelled or altered for reasons of bad weather, vehicle issue or traffic problems, we will make all sincere efforts to arrange alternative service with similar options, however, based on its availability. </li></ul><ul><li>the arrangement of seating will depend on its availability and will be done by our driver or tour guides.</li></ul><ul><li>pick-up and drop-off timings listed on the website are approximate, and they will be adjusted as per your location as well as traffic conditions. </li></ul><ul><li>coupon codes can be redeemed only through online booking process.</li></ul><ul><li>we reserve the right to charge 100% no show charges if guests do not turn up on time for the pick-up.</li></ul><ul><li>in any case the guest does not show up on time and our vehicle departs from the pickup location, then we will not arrange for alternative transfer &amp; no refund is provided for the missed tour.</li></ul><ul><li>seating arrangement is done as per the availability &amp; it is decided by the driver or tour guide except in case of private transfers.</li></ul>"},"cancellationPolicyName":{"type":"string","description":"Cancellation Policy","example":"Free cancellation 24 hours prior"},"cancellationPolicyDescription":{"type":"string","description":"Cancellation Policy Description","example":"<ul><li>For all cancellations made 24 hours prior to the tour departure time no charges will be applicable.</li><li>If cancellation made within 24 hours of your tour departure time 100% charges will be applicable.</li><li>If eligible for a refund your amount will be returned back to you within 7 working days.</li></ul><ul></ul>"},"childCancellationPolicyName":{"type":"string","description":"Cancellation Policy - Children","example":"Child Policy (Below 2 years)"},"childCancellationPolicyDescription":{"type":"string","description":"Cancellation Policy Description - Children","example":"<ul><li>Children under 2 years will be considered as infant and entry will be free of cost.</li><li>Children between age 2 to 12 years will be considered as child and charged child rate.</li><li>Children above age 12 years will be considered as an adult and charged adult rate.</li></ul>"},"childAge":{"type":"string","description":"Age of children for tour","example":"2-12 Yrs"},"infantAge":{"type":"string","description":"Age of infant for tour","example":"0-2 Yrs"},"isSlot":{"type":"boolean","description":"If isSlot is true, you will get multiple time slots list for the tour","example":"true"},"tourExclusion":{"type":"string","description":"What's not included in the tour","example":"<ul><li>Pick up and drop off</li><li>All personal expenses spend for shopping, dining, photography etc on-site.</li></ul>"},"tourImage":{"type":"string","description":"Image URL of the tour","example":"https://aantourism.com/assets/uploads/media/Tour Images/dubai-dolphinarium-min.jpg"},"currency":{"type":"string","description":"Crrency","example":"PKR"},"price":{"type":"number","format":"double","description":"Tour Price (from price)","example":"2500.50"}}}}}}},"ActivityOptionsResponse":{"type":"object","properties":{"status":{"type":"integer","format":"int32","description":"Request Status","example":200},"error":{"type":"boolean","description":"Request have errors","example":"false"},"messages":{"type":"string","description":"Any error messages returned by the request","example":""},"data":{"type":"object","description":"Data object returned by the request","properties":{"count":{"type":"integer","format":"int32","description":"Count of objects returned","example":1},"options":{"type":"object","description":"Activity Options Object","properties":{"tourOptionId":{"type":"integer","format":"int32","description":"Tour Option Id","example":"261"},"optionName":{"type":"string","description":"Tour Option Name","example":"Dolphin & seal show regular tickets"},"childAge":{"type":"string","description":"Age of children for tour option","example":"2-11 Yrs"},"infantAge":{"type":"string","description":"Age of infant for tour option","example":"0-2 Yrs"},"optionDescription":{"type":"string","description":"Short description of tour option","example":"Get up close and personal to graceful bottlenose dolphins and playful seals."},"cancellationPolicyName":{"type":"string","description":"Cancellation Policy","example":"Free cancellation 24 hours prior"},"cancellationPolicyDescription":{"type":"string","description":"Cancellation Policy Description","example":"<ul><li>For all cancellations made 24 hours prior to the tour departure time no charges will be applicable.</li><li>If cancellation made within 24 hours of your tour departure time 100% charges will be applicable.</li><li>If eligible for a refund your amount will be returned back to you within 7 working days.</li></ul><ul></ul>"},"childPolicyDescription":{"type":"string","description":"Policy - Children","example":"<ul><li>Children under 2 years will be considered as infant and entry will be free of cost.</li><li>Children aged from 2 to 11 years will be considered as child and charged child rate.</li><li>Children above age 11 will be considered as an adult and charged adult rate.</li></ul>"},"duration":{"type":"string","description":"Tour Duration","example":"Subject to ticket selection"},"disableChild":{"type":"boolean","description":"Children disabled for tour option","example":"false"},"disableInfant":{"type":"boolean","description":"Infant disabled for tour option","example":"false"},"isTourGuide":{"type":"boolean","description":"If the tour option is guided tour","example":"false"},"compulsoryOptions":{"type":"boolean","description":"Is the option compulsory for booking","example":"false"},"isHourly":{"type":"boolean","description":"Is the option hourly","example":"false"},"monday":{"type":"boolean","description":"Available on monday","example":"true"},"tuesday":{"type":"boolean","description":"Available on tuesday","example":"true"},"wednesday":{"type":"boolean","description":"Available on wednesday","example":"true"},"thursday":{"type":"boolean","description":"Available on thursday","example":"true"},"friday":{"type":"boolean","description":"Available on friday","example":"true"},"saturday":{"type":"boolean","description":"Available on saturday","example":"true"},"sunday":{"type":"boolean","description":"Available on sunday","example":"true"}}}}}}},"ActivityOptionDetailResponse":{"type":"object","properties":{"status":{"type":"integer","format":"int32","description":"Request Status","example":200},"error":{"type":"boolean","description":"Request have errors","example":"false"},"messages":{"type":"string","description":"Any error messages returned by the request","example":""},"data":{"type":"object","description":"Data object returned by the request","properties":{"option":{"type":"object","description":"Activity Option Details","properties":{"tourOptionId":{"type":"integer","format":"int32","description":"Tour Option Id","example":"261"},"optionName":{"type":"string","description":"Tour Option Name","example":"Dolphin & seal show regular tickets"},"childAge":{"type":"string","description":"Age of children for tour option","example":"2-11 Yrs"},"infantAge":{"type":"string","description":"Age of infant for tour option","example":"0-2 Yrs"},"optionDescription":{"type":"string","description":"Short description of tour option","example":"Get up close and personal to graceful bottlenose dolphins and playful seals."},"cancellationPolicyName":{"type":"string","description":"Cancellation Policy","example":"Free cancellation 24 hours prior"},"cancellationPolicyDescription":{"type":"string","description":"Cancellation Policy Description","example":"<ul><li>For all cancellations made 24 hours prior to the tour departure time no charges will be applicable.</li><li>If cancellation made within 24 hours of your tour departure time 100% charges will be applicable.</li><li>If eligible for a refund your amount will be returned back to you within 7 working days.</li></ul><ul></ul>"},"childPolicyDescription":{"type":"string","description":"Policy - Children","example":"<ul><li>Children under 2 years will be considered as infant and entry will be free of cost.</li><li>Children aged from 2 to 11 years will be considered as child and charged child rate.</li><li>Children above age 11 will be considered as an adult and charged adult rate.</li></ul>"},"duration":{"type":"string","description":"Tour Duration","example":"Subject to ticket selection"},"disableChild":{"type":"boolean","description":"Children disabled for tour option","example":"false"},"disableInfant":{"type":"boolean","description":"Infant disabled for tour option","example":"false"},"isTourGuide":{"type":"boolean","description":"If the tour option is guided tour","example":"false"},"compulsoryOptions":{"type":"boolean","description":"Is the option compulsory for booking","example":"false"},"isHourly":{"type":"boolean","description":"Is the option hourly","example":"false"},"monday":{"type":"boolean","description":"Available on monday","example":"true"},"tuesday":{"type":"boolean","description":"Available on tuesday","example":"true"},"wednesday":{"type":"boolean","description":"Available on wednesday","example":"true"},"thursday":{"type":"boolean","description":"Available on thursday","example":"true"},"friday":{"type":"boolean","description":"Available on friday","example":"true"},"saturday":{"type":"boolean","description":"Available on saturday","example":"true"},"sunday":{"type":"boolean","description":"Available on sunday","example":"true"}}}}}}},"ActivityOptionTransfersResponse":{"type":"object","properties":{"status":{"type":"integer","format":"int32","description":"Request Status","example":200},"error":{"type":"boolean","description":"Request have errors","example":"false"},"messages":{"type":"string","description":"Any error messages returned by the request","example":""},"data":{"type":"object","description":"Data object returned by the request","properties":{"count":{"type":"integer","format":"int32","description":"Count of objects returned","example":1},"transfers":{"type":"object","description":"Activity Transfers Object","properties":{"tourId":{"type":"integer","format":"int32","description":"Tour Id","example":"18"},"tourOptionId":{"type":"integer","format":"int32","description":"Tour Option Id","example":"1696"},"transferId":{"type":"integer","format":"int32","description":"Transfer Id","example":"41843"},"transferType":{"type":"string","description":"Transfer Type","example":"Sharing Transfers"},"needPickup":{"type":"boolean","description":"Is pickup location required for this transfer","example":"true"},"transferTime":{"type":"string","description":"Transfer Timings","example":"Morning Pickup 10:00 am | Drop off  2:00 pm, Evening Pickup 04:00 pm | Drop off  9:00 pm"},"duration":{"type":"string","description":"Tour Duration","example":"04:00 hours"},"instantConfirmation":{"type":"boolean","description":"Is instant confirmation available","example":"true"},"disableChild":{"type":"boolean","description":"Children disabled for tour option","example":"false"},"disableInfant":{"type":"boolean","description":"Infant disabled for tour option","example":"false"},"twoWayTransfer":{"type":"boolean","description":"Is the transfer 2-way","example":"true"},"allowTodaysBooking":{"type":"boolean","description":"Allow for same day booking","example":"true"},"cancellationPolicyName":{"type":"string","description":"Cancellation Policy","example":"Free cancellation 24 hours prior"},"cancellationPolicyDescription":{"type":"string","description":"Cancellation Policy Description","example":"<ul><li>For all cancellations made 24 hours prior to the tour departure time no charges will be applicable.</li><li>If cancellation made within 24 hours of your tour departure time 100% charges will be applicable.</li><li>If eligible for a refund your amount will be returned back to you within 7 working days.</li></ul><ul></ul>"},"childPolicy":{"type":"string","description":"Cancellation Policy","example":"Child Policy (0-4) Burj Khalifa"}}}}}}},"ActivityOptionTransferDetailsResponse":{"type":"object","properties":{"status":{"type":"integer","format":"int32","description":"Request Status","example":200},"error":{"type":"boolean","description":"Request have errors","example":"false"},"messages":{"type":"string","description":"Any error messages returned by the request","example":""},"data":{"type":"object","description":"Data object returned by the request","properties":{"transfer":{"type":"object","description":"Activity Transfer Details","properties":{"tourId":{"type":"integer","format":"int32","description":"Tour Id","example":"18"},"tourOptionId":{"type":"integer","format":"int32","description":"Tour Option Id","example":"1696"},"transferId":{"type":"integer","format":"int32","description":"Transfer Id","example":"41843"},"transferType":{"type":"string","description":"Transfer Type","example":"Sharing Transfers"},"needPickup":{"type":"boolean","description":"Is pickup location required for this transfer","example":"true"},"transferTime":{"type":"string","description":"Transfer Timings","example":"Morning Pickup 10:00 am | Drop off  2:00 pm, Evening Pickup 04:00 pm | Drop off  9:00 pm"},"duration":{"type":"string","description":"Tour Duration","example":"04:00 hours"},"instantConfirmation":{"type":"boolean","description":"Is instant confirmation available","example":"true"},"disableChild":{"type":"boolean","description":"Children disabled for tour option","example":"false"},"disableInfant":{"type":"boolean","description":"Infant disabled for tour option","example":"false"},"twoWayTransfer":{"type":"boolean","description":"Is the transfer 2-way","example":"true"},"allowTodaysBooking":{"type":"boolean","description":"Allow for same day booking","example":"true"},"cancellationPolicyName":{"type":"string","description":"Cancellation Policy","example":"Free cancellation 24 hours prior"},"cancellationPolicyDescription":{"type":"string","description":"Cancellation Policy Description","example":"<ul><li>For all cancellations made 24 hours prior to the tour departure time no charges will be applicable.</li><li>If cancellation made within 24 hours of your tour departure time 100% charges will be applicable.</li><li>If eligible for a refund your amount will be returned back to you within 7 working days.</li></ul><ul></ul>"},"childPolicy":{"type":"string","description":"Cancellation Policy","example":"Child Policy (0-4) Burj Khalifa"}}}}}}},"TimeSlots":{"type":"object","properties":{"status":{"type":"integer","format":"int32","description":"Request Status","example":200},"error":{"type":"boolean","description":"Request have errors","example":"false"},"messages":{"type":"string","description":"Any error messages returned by the request","example":""},"data":{"type":"object","description":"Data object returned by the request","properties":{"count":{"type":"integer","format":"int32","description":"Count of objects returned","example":1},"slots":{"type":"object","description":"Activity Time Slots","properties":{"timeSlotId":{"type":"integer","format":"int32","description":"Time Slot Id","example":"18"},"timeSlot":{"type":"string","description":"Time Slot","example":"11:00"},"available":{"type":"integer","format":"int32","description":"Available Slots","example":"99"}}}}}}},"Prices":{"type":"object","properties":{"status":{"type":"integer","format":"int32","description":"Request Status","example":200},"error":{"type":"boolean","description":"Request have errors","example":"false"},"messages":{"type":"string","description":"Any error messages returned by the request","example":""},"data":{"type":"object","description":"Data object returned by the request","properties":{"prices":{"type":"object","description":"Prices for selected tour options","properties":{"currency":{"type":"string","description":"Crrency","example":"PKR"},"rateAdult":{"type":"integer","format":"double","description":"Adult Rate without VAT (per person)","example":"4398.31"},"rateAdultVAT":{"type":"integer","format":"double","description":"Adult Rate VAT Amount (per person)","example":"791.69"},"rateAdultWithVAT":{"type":"integer","format":"double","description":"Adult Rate with VAT (per person)","example":"5190.00"},"priceAdult":{"type":"integer","format":"double","description":"Adult Price without VAT (for number of adults)","example":"8796.61"},"priceAdultVAT":{"type":"integer","format":"double","description":"Adult Price VAT Amount (for number of adults)","example":"1583.39"},"priceAdultWithVAT":{"type":"integer","format":"double","description":"Adult Price with VAT (for number of adults)","example":"10380.00"},"rateChild":{"type":"integer","format":"double","description":"Children Rate without VAT (per person)","example":"1889.83"},"rateChildVAT":{"type":"integer","format":"double","description":"Children Rate VAT Amount (per person)","example":"340.17"},"rateChildWithVAT":{"type":"integer","format":"double","description":"Children Rate with VAT (per person)","example":"2230.00"},"priceChild":{"type":"integer","format":"double","description":"Children Price without VAT (for number of children)","example":"1889.83"},"priceChildVAT":{"type":"integer","format":"double","description":"Children Price VAT Amount (for number of children)","example":"340.17"},"priceChildWithVAT":{"type":"integer","format":"double","description":"Children Price with VAT (for number of children)","example":"2230.00"},"rateInfant":{"type":"integer","format":"double","description":"Infant Rate without VAT (per person)","example":"0.00"},"rateInfantVAT":{"type":"integer","format":"double","description":"Infant Rate VAT Amount (per person)","example":"0.00"},"rateInfantWithVAT":{"type":"integer","format":"double","description":"Infant Rate with VAT (per person)","example":"0.00"},"priceInfant":{"type":"integer","format":"double","description":"Infant Price without VAT (for number of infants)","example":"0.00"},"priceInfantVAT":{"type":"integer","format":"double","description":"Infant Price VAT Amount (for number of infants)","example":"0.00"},"priceInfantWithVAT":{"type":"integer","format":"double","description":"Infant Price with VAT (for number of infants)","example":"0.00"},"VATPercent":{"type":"integer","format":"double","description":"VAT Percentage","example":"05.00"},"total":{"type":"integer","format":"double","description":"Total without VAT","example":"10686.44"},"totalVAT":{"type":"integer","format":"double","description":"Total VAT","example":"1923.56"},"totalWithVat":{"type":"integer","format":"double","description":"Grand Total","example":"12610.00"}}}}}}},"TourAvailability":{"type":"object","properties":{"status":{"type":"integer","format":"int32","description":"Request Status","example":200},"error":{"type":"boolean","description":"Request have errors","example":"false"},"messages":{"type":"string","description":"Any error messages returned by the request","example":""},"data":{"type":"object","description":"Data object returned by the request","properties":{"availability":{"type":"object","description":"Tour availability details","properties":{"isAvailable":{"type":"boolean","description":"Is tour available","example":"true"},"availabilityMessage":{"type":"string","description":"Availability Message (if any)","example":""}}}}}}},"TourBooking":{"type":"object","properties":{"status":{"type":"integer","format":"int32","description":"Request Status","example":200},"error":{"type":"boolean","description":"Request have errors","example":"false"},"messages":{"type":"string","description":"Any error messages returned by the request","example":"Order Completed"},"data":{"type":"object","description":"Data object returned by the request","properties":{"orderId":{"type":"integer","format":"int64","description":"Order Id","example":"9999999"},"orderNumber":{"type":"string","description":"Order Number","example":"AT-9USF484NDXFC"}}}}},"AllBookings":{"type":"object","properties":{"status":{"type":"integer","format":"int32","description":"Request Status","example":200},"error":{"type":"boolean","description":"Request have errors","example":"false"},"messages":{"type":"string","description":"Any error messages returned by the request","example":""},"data":{"type":"object","description":"Data object returned by the request","properties":{"count":{"type":"integer","format":"int32","description":"Count of objects returned","example":1},"orders":{"type":"object","description":"Orders List","properties":{"order_id":{"type":"integer","format":"int32","description":"Order Id","example":"9999999"},"order_number":{"type":"string","description":"Order Number","example":"AT-9USF484NDXFC"},"order_item_number":{"type":"string","description":"Order Item Number","example":"AT-648303EA18124"},"tourName":{"type":"string","description":"Tour Name","example":"Dubai Dolphinarium"},"optionName":{"type":"string","description":"Tour Option Name","example":"Dolphin & seal show regular tickets"},"order_title":{"type":"string","description":"Title of Passenger","example":"Mr."},"order_first_name":{"type":"string","description":"First name of Passenger","example":"David"},"order_last_name":{"type":"string","description":"Last name of Passenger","example":"Becker"},"user_email":{"type":"string","description":"Email of Passenger","example":"pax@dummyemail.com"},"order_phone":{"type":"string","description":"Phone of Passenger","example":"+971234567890"},"order_address":{"type":"string","description":"Address of Passenger","example":""},"order_city":{"type":"string","description":"City of Passenger","example":""},"order_state":{"type":"string","description":"State/Province of Passenger","example":""},"order_zipcode":{"type":"string","description":"Zip/Postal Code of Passenger","example":""},"order_country_id":{"type":"integer","format":"int32","description":"Country of Passenger","example":"231"},"order_date":{"type":"string","description":"Order Date and Time","example":"2022-12-17 12:50:27"},"checkin_date":{"type":"string","description":"Check in Date","example":"2022-12-17"},"order_status":{"type":"string","description":"Order Status","example":"Completed"},"order_type":{"type":"string","description":"Order Type","example":"Activity, Package, Visa, Hotel, Airline etc."},"currency_symbol":{"type":"string","description":"Order Currency","example":"PKR"},"item_price":{"type":"integer","format":"double","description":"Order Total - Without VAT","example":"22000.00"},"vat_amount":{"type":"integer","format":"double","description":"Order VAT","example":"210.00"},"order_amount":{"type":"integer","format":"double","description":"Order Total","example":"22210.00"},"special_request":{"type":"string","description":"Special Request/Comments","example":"Special assistance needed"},"payment_method":{"type":"string","description":"Payment Method","example":"Limit or Credit Card"},"isSlot":{"type":"boolean","description":"If isSlot is true, you will get multiple time slots list for the tour","example":"true"},"timeSlot":{"type":"string","description":"Time Slot of Tour","example":"11:00"},"adult":{"type":"integer","format":"int32","description":"Number of adults","example":"2"},"child":{"type":"integer","format":"int32","description":"Number of children","example":"1"},"infant":{"type":"integer","format":"int32","description":"Number of infants","example":"1"},"cancellationPolicy":{"type":"string","description":"Cancellation Policy","example":"Free cancellation 24 hours prior"},"transferName":{"type":"string","description":"Transfer Type","example":"Without Transfers"},"pickupLocation":{"type":"string","description":"Pickup Location - if shred or private transfer","example":"Hotel"},"startTime":{"type":"string","description":"Start time of tour","example":"21:00:00"},"departureTime":{"type":"string","description":"Departure point of tour","example":"Between 10:00 am to 10:30 am (Deira / Bur Dubai)\n\nBetween 9:30 am to 10:00 am (SZR / Al Barsha)"}}}}}}},"BookingDetails":{"type":"object","properties":{"status":{"type":"integer","format":"int32","description":"Request Status","example":200},"error":{"type":"boolean","description":"Request have errors","example":"false"},"messages":{"type":"string","description":"Any error messages returned by the request","example":""},"data":{"type":"object","description":"Data object returned by the request","properties":{"order":{"type":"array","description":"Order Item Detail","items":{"type":"object","properties":{"order_id":{"type":"integer","format":"int32","description":"Order Id","example":"9999999"},"order_number":{"type":"string","description":"Order Number","example":"AT-9USF484NDXFC"},"order_item_number":{"type":"string","description":"Order Item Number","example":"AT-648303EA18124"},"order_title":{"type":"string","description":"Title of Passenger","example":"Mr."},"order_first_name":{"type":"string","description":"First name of Passenger","example":"David"},"order_last_name":{"type":"string","description":"Last name of Passenger","example":"Becker"},"user_email":{"type":"string","description":"Email of Passenger","example":"pax@dummyemail.com"},"order_phone":{"type":"string","description":"Phone of Passenger","example":"+971234567890"},"order_address":{"type":"string","description":"Address of Passenger","example":""},"order_city":{"type":"string","description":"City of Passenger","example":""},"order_state":{"type":"string","description":"State/Province of Passenger","example":""},"order_zipcode":{"type":"string","description":"Zip/Postal Code of Passenger","example":""},"order_country_id":{"type":"integer","format":"int32","description":"Country of Passenger","example":"231"},"order_date":{"type":"string","description":"Order Date and Time","example":"2022-12-17 12:50:27"},"checkin_date":{"type":"string","description":"Check in Date","example":"2022-12-17"},"order_status":{"type":"string","description":"Order Status","example":"Completed"},"order_type":{"type":"string","description":"Order Type","example":"Activity, Package, Visa, Hotel, Airline etc."},"currency_symbol":{"type":"string","description":"Order Currency","example":"PKR"},"item_price":{"type":"integer","format":"double","description":"Order Total - Without VAT","example":"22000.00"},"vat_percent":{"type":"integer","format":"double","description":"VAT Percentage","example":"18.00"},"vat_amount":{"type":"integer","format":"double","description":"Order VAT","example":"210.00"},"order_amount":{"type":"integer","format":"double","description":"Order Total","example":"22210.00"},"special_request":{"type":"string","description":"Special Request/Comments","example":"Special assistance needed"},"payment_method":{"type":"string","description":"Payment Method","example":"Limit or Credit Card"},"item_name":{"type":"string","description":"Option Name","example":"Dolphin & seal show regular tickets"},"refernceNo":{"type":"string","description":"Booking Reference Number","example":"AGT0000020000002"},"downloadRequired":{"type":"boolean","description":"Is ticket download required","example":"true"},"aan_tickets":{"type":"object","description":"Ticket(s) Details","properties":{"bookingId":{"type":"integer","format":"int32","description":"Booking Id","example":"1280608"},"refernceNo":{"type":"string","description":"Booking Reference Number","example":"AGT0000020000002"},"optionName":{"type":"string","description":"Option Name","example":"Dolphin & seal show regular tickets"},"validity":{"type":"string","description":"Ticket Validity","example":"<label style='display:table-cell;'>Valid On&nbsp;&nbsp;:&nbsp;&nbsp;&nbsp;&nbsp;</label><div style='display:table-cell;'>25-03-2023"},"slot":{"type":"string","description":"Time slot (if activity/tour is time slot based)","example":"11:00:00"},"ticketDetails":{"type":"array","description":"Ticket(s) Details","items":{"type":"object","properties":{"barCode":{"type":"string","description":"Ticket Bar Code","example":"D7 1 A 0 162 56 8060821 8B"},"type":{"type":"string","description":"Ticket Type","example":"adult"},"noOfAdult":{"type":"integer","format":"int32","description":"Number of adults","example":"1"},"noOfchild":{"type":"integer","format":"int32","description":"Number of children","example":"0"},"noOfinfant":{"type":"integer","format":"int32","description":"Number of infants","example":"0"},"guides":{"type":"boolean","description":"Is guided tour","example":"false"},"optionName":{"type":"string","description":"Option Name","example":""}}}},"ticketURL":{"type":"string","description":"URL of ticket to download","example":"https://sandbox.aantourism.com/tickets/download/0d088478eea421ee04e29ee570abcaf7"}}}}}}}}}},"BookingCancellation":{"type":"object","properties":{"status":{"type":"integer","format":"int32","description":"Request Status","example":200},"error":{"type":"boolean","description":"Request have errors","example":"false"},"messages":{"type":"string","description":"Any error messages returned by the request","example":""},"data":{"type":"object","description":"Data object returned by the request","properties":{"isCancelled":{"type":"boolean","description":"Is Booking Cancelled","example":"true"},"result":{"type":"string","description":"Result of cancellation","example":"Booking Cancelled"}}}}},"PostTourTimeSlots":{"type":"object","properties":{"tourId":{"type":"integer","format":"int64","required":true,"description":"Tour Id","example":"65"},"tourOptionId":{"type":"integer","format":"int64","required":true,"description":"Tour Option Id","example":"261"},"transferId":{"type":"integer","format":"int64","required":true,"description":"Transfer Id","example":"41865"},"travelDate":{"type":"string","required":true,"description":"Date of travel in yyyy-MM-dd format","example":"2023-03-25"}}},"PostTourPrice":{"type":"object","properties":{"tourId":{"type":"integer","format":"int64","required":true,"description":"Tour Id","example":"65"},"tourOptionId":{"type":"integer","format":"int64","required":true,"description":"Tour Option Id","example":"261"},"transferId":{"type":"integer","format":"int64","required":true,"description":"Transfer Id","example":"41865"},"adult":{"type":"integer","format":"int64","required":true,"description":"Number of adults","example":"2"},"child":{"type":"integer","format":"int64","required":true,"description":"Number of children","example":"1"},"infant":{"type":"integer","format":"int64","required":true,"description":"Number of infants","example":"2"},"travelDate":{"type":"string","required":true,"description":"Date of travel in yyyy-MM-dd format","example":"2023-03-25"}}},"PostTourAvailability":{"type":"object","properties":{"tourId":{"type":"integer","format":"int64","required":true,"description":"Tour Id","example":"65"},"tourOptionId":{"type":"integer","format":"int64","required":true,"description":"Tour Option Id","example":"261"},"transferId":{"type":"integer","format":"int64","required":true,"description":"Transfer Id","example":"41865"},"adult":{"type":"integer","format":"int64","required":true,"description":"Number of adults","example":"2"},"child":{"type":"integer","format":"int64","required":true,"description":"Number of children","example":"1"},"infant":{"type":"integer","format":"int64","required":true,"description":"Number of infants","example":"2"},"travelDate":{"type":"string","required":true,"description":"Date of travel in yyyy-MM-dd format","example":"2023-03-25"}}},"PostTourBooking":{"type":"object","properties":{"activities":{"type":"array","items":{"type":"object","properties":{"tourId":{"type":"integer","format":"int64","required":true,"description":"Tour Id","example":"65"},"tourOptionId":{"type":"integer","format":"int64","required":true,"description":"Tour Option Id","example":"261"},"transferId":{"type":"integer","format":"int64","required":true,"description":"Transfer Id","example":"41865"},"adult":{"type":"integer","format":"int64","required":true,"description":"Number of adults","example":"2"},"child":{"type":"integer","format":"int64","required":true,"description":"Number of children","example":"1"},"infant":{"type":"integer","format":"int64","required":true,"description":"Number of infants","example":"2"},"adultRate":{"type":"integer","format":"double","required":true,"description":"Adult rate","example":"7220.00"},"childRate":{"type":"integer","format":"double","required":true,"description":"Child rate","example":"3610.00"},"infantRate":{"type":"integer","format":"double","required":true,"description":"Infant rate","example":"0.00"},"travelDate":{"type":"string","required":true,"description":"Date of travel in yyyy-MM-dd format","example":"2023-03-25"},"isSlot":{"type":"boolean","required":false,"description":"Is the activity time slot based?","example":"1"},"timeSlotId":{"type":"string","required":false,"description":"Time Slot Id (if the activity is time slot based)","example":"1206"},"timeSlot":{"type":"string","required":false,"description":"Time Slot Detail (if the activity is time slot based)","example":"11:00"},"pickupLocation":{"type":"string","required":false,"description":"Pickup location (Required if the activity transfer type is Shared or Private)","example":"From my hotel"}}}},"passenger":{"type":"object","properties":{"title":{"type":"string","required":true,"description":"Title of Passenger","example":"Mr."},"first_name":{"type":"string","required":true,"description":"First name of Passenger","example":"David"},"last_name":{"type":"string","required":true,"description":"Last name of Passenger","example":"Becker"},"email":{"type":"string","required":true,"description":"Email of Passenger","example":"pax@dummyemail.com"},"phone":{"type":"string","required":true,"description":"Phone of Passenger","example":"+971234567890"},"country_id":{"type":"integer","format":"int64","required":true,"description":"Country Id of Passenger","example":"231"}}},"specialRequest":{"type":"string","required":false,"description":"Special Request/Comments","example":"Please provide special assisstance"},"paymentMode":{"type":"string","required":"Limit","description":"Payment mode Limit or Credit Card","example":"Limit"}}},"PostBookingCancellation":{"type":"object","properties":{"orderId":{"type":"integer","format":"int64","required":true,"description":"Order Id","example":"999"},"orderItemId":{"type":"integer","format":"int64","required":true,"description":"Order Item Id","example":"99999"},"cancellationReason":{"type":"string","required":true,"description":"Cancellation Reason","example":"Cancellation Reason"}}}}}